<template>
    <div class="app">
        <footer>
            

            <section class="insurance-wrap">
                <div>
                    <h3>Nuestras aseguradoras</h3>
                </div>
                <div class="box-insurance">
                    <div class="item logo-insurance"><img src="../assets/images/seguros/adeslas-cp.gif"></div>
                    <div class="item logo-insurance"><img src="../assets/images/seguros/aegon-cp.gif"></div>
                    <div class="item logo-insurance"><img src="../assets/images/seguros/allianz-seguros-cp.gif"></div>
                    <div class="item logo-insurance"><img src="../assets/images/seguros/asisa-cp.gif"></div>
                    <div class="item logo-insurance"><img src="../assets/images/seguros/axa-seguros-salud-cp.gif"></div>
                    <div class="item logo-insurance"><img src="../assets/images/seguros/caser-salud-cp.gif"></div>
                    <div class="item logo-insurance"><img src="../assets/images/seguros/dkv-seguros-cp.gif"></div>
                    <div class="item logo-insurance"><img src="../assets/images/seguros/fiatc-seguros-salud-cp.gif"></div>
                    <div class="item logo-insurance"><img src="../assets/images/seguros/mapfre-seguros-salud-cp.gif"></div>
                    <div class="item logo-insurance"><img src="../assets/images/seguros/sanitas-cp.gif"></div>
                </div>
            </section>

            <section class="footer-autor">
                <div class="footer-autor-title">
                    <h2>
                        <span class="txt-destacado-salmon">Un servicio hecho a la medida del paciente</span> formado por un cluster de las mejores aseguras.
                    </h2>
                </div>

                <div class="comunidades-autonomas">
                    <h4>Actuamente damos servicio en las siguintes comunidades autónomas: </h4> 
                    <ul>
                        <li>
                            Andalucía
                        </li>
                        <li>
                            Aragón
                        </li>
                        <li>
                            Canarias
                        </li>
                        <li>
                            Cantabria
                        </li>
                        <li>
                            Castilla y León
                        </li>
                        <li>
                            Castilla-La Mancha
                        </li>
                        <li>
                            Cataluña
                        </li>
                        <li>
                            Comunitat Valenciana
                        </li>
                        <li>
                            Extremadura
                        </li>
                        <li>
                            Galicia
                        </li>
                        <li>
                            Illes Balears
                        </li>
                        <li>
                            Madrid
                        </li>
                        <li>
                            Murcia
                        </li>
                        <li>
                            Principado de Asturias
                        </li>
                    </ul>
                </div>
                
                <div class="footer-autor-address">
                    <h4>needoc es un proyecto de la fundación de Adolfo Maragoto</h4> 
                    <p>C/ Pedro Alvarado 11 · 36207 · Vigo · Pontevedra.</p>
                    <p>Tel: 000 000 000</p>
                    <p>Mail: adolfo.maragoto@gmail.com</p>
                    <div class="links-rrss">
                        <a href="https://gitlab.com/adolfo.maragoto/entrega-hab/-/tree/master/proyecto" target="_blank"><i class="icon-git-squared"></i></a>
                        <a href="https://www.linkedin.com/in/adolfomaragoto" target="_blank"><i class="icon-linkedin-squared"></i></a>
                        <a href="https://twitter.com/adolfomaragoto" target="_blank"><i class="icon-twitter-squared"></i></a>
                    </div>
                    <br>
                    
                </div>
            </section>

            <section class="footer-credits">
                <div class="logo-footer">
                    <i class="icon-logoneedoc"></i>
                </div>
                <div class="container-footer">
                    Un proyecto hecho con <i class="icon-heart"></i> por Adolfo Maragoto
                </div>
            </section>
        </footer>
    </div>
</template>

<script>
export default {

}
</script>

<style scoped>
    /* h3 {
        padding-bottom: 2rem;
        font-family: Roboto;
        font-weight: 300;

    } */
    footer {
        margin:0;
        padding: 0;
    }
    .footer-autor {
        display: flex;
        flex-wrap: wrap;
        background-color: var(--color-general-whitesmoke);
        padding-right: 2rem;
        margin-left: 2rem;

    }
    .footer-autor div {
        flex: 2;
    }
    .comunidades-autonomas, .footer-autor-address {
        padding: var(--spacer-15);
    }
    .comunidades-autonomas ul {
        display: flex;
        flex-wrap: wrap;
        margin: 20px -10px 0 0px;
    }
    .comunidades-autonomas li {
        margin: 5px 10px;
        border: 1px solid var(--color-general-salmon);
        border-radius:100px;
        padding: var(--spacer-05);
        color: var(--color-general-salmon);
        font-size: var(--font-size-075);
        font-weight:300;
    }
    .footer-autor-title {
        background-color: var(--color-general-white);
        padding: var(--spacer-0875);

    }
    .footer-autor-address > p {
        padding-bottom: var(--spacer-0875);
    }
    .links-rrss {
        width: 100%;
        text-align: center;
        padding-top: var(--spacer-05);
    }
    .links-rrss > a {
        font-size: var(--font-size-15);
        color: var(--color-general-gray)
    }
     .links-rrss > a:hover {
        color: var(--color-general-salmon);
    }



    .footer-credits {
        display: flex;
        flex-wrap: wrap;
        padding:1.5rem;
        background-color: var(--color-general-salmon);
    }
    .logo-footer {
        flex: -1;
        color:  var(--color-general-white);
        width: 5rem;
    }
    .container-footer {
        flex: 2;
        text-align: center;
    }

    .container-footer {
        flex: 2;
        text-align: center;
    }

    /* -------------------------------- 
--------- CARRUSEL ----------------
--------------------------------- */
    .insurance-wrap {
        border-top: 2px solid  var(--color-general-whitesmoke);
        border-bottom: 2px solid  var(--color-general-whitesmoke);

        padding: var(--spacer-4) 0;
        margin: 0  var( --spacer-2);


    }
    .box-insurance {
        display: flex;
        flex-wrap:wrap;
        align-items: center;
        justify-content: center;
        /* padding:  var(--spacer-05); */
    }
    .item {
        padding:  var(--spacer-05);
    }

    .logo-insurance {
        -webkit-filter: grayscale(100%);
        -moz-filter: grayscale(100%);
        -ms-filter: grayscale(100%);
        -o-filter: grayscale(100%);
        filter: grayscale(100%); 
    }

    .txt-destacado-salmon {
        color: var(--color-general-salmon)
    }


    @media (max-width: 700px) {
    .footer-autor {
        display: flex;
        flex-direction: column;
        background-color: var(--color-general-whitesmoke);
        padding-right: 0;
        margin: 0 2rem 0 2rem;
    }


    }





</style>